/*
Theme Name: BigHearts Child
Author: WebGeniusLab
Author URI: http://webgeniuslab.net
Description: -
Version: 1.0
Template: bighearts
Text Domain: bighearts-child
*/

header.wgl-theme-header {
  position: fixed;
  width: 100%;
  top: 0;
  z-index: 3;
}

/* body.logged-in.admin-bar header.wgl-theme-header {
  top: 32px;
} */

header.wgl-theme-header .customHeaderCls,
header.wgl-theme-header .wgl-mobile-header {
  position: relative;
}

/* header.wgl-theme-header .customHeaderCls .elementor-container::after,
header.wgl-theme-header .wgl-mobile-header .elementor-container::after,
header .wgl-header-row.wgl-header-row-section::after {
  content: "";
  position: absolute;
  left: 0;
  bottom: -5px;
  width: 100%;
  height: 5px;
  background-color: #749935;
  transform: scaleX(100);
  transform-origin: left;
  /* Start from left */
  /* transition: transform 0.4s ease-in-out, transform-origin 0s 0.4s;
} */ 


header .wgl-header-row.wgl-header-row-section

/* On scroll → expand from left */
/* header.wgl-theme-header.scrollDown .customHeaderCls .elementor-container::after,
header.wgl-theme-header.scrollDown .wgl-mobile-header .elementor-container::after {
  transform: scaleX(1);
  transform-origin: left;
  transition: transform 0.4s ease-in-out;
} */

/* When removing scrollDown → shrink from right */
header.wgl-theme-header:not(.scrollDown) .customHeaderCls::after,
header.wgl-theme-header:not(.scrollDown) .wgl-mobile-header::after {
  transform: scaleX(0);
  transform-origin: right;
  /* Collapse from right */
  transition: transform 0.4s ease-in-out;
}

.elementor-column.logo a {
  z-index: 1;
}

@media (max-width:1199px) {

  .wgl-mobile-header .wgl-header-row .wgl-header-row_wrapper {
    flex-direction: row-reverse;
    justify-content: space-between;
  }

  .wgl-logotype-container.logo-mobile a {
    position: relative;
  }
/* 
  .wgl-logotype-container.logo-mobile a::before {
    content: "";
    height: calc(100% - 70px);
    width: 100%;
    display: block;
    position: absolute;
    bottom: 0;
    border: 5px solid #749935;
    border-top: 0;
    border-radius: 0px 0px 30px 30px;
    left: -5px;
  } */

  .wgl-header-row .wgl-header-row_wrapper .position_right.header_side {
    display: none;
  }

  /* .wgl-mobile-header .position_center {
    width: 220px;
    margin-bottom: -80px;
    height: 135px;
    position: relative;
    z-index: 5;
  } */

  .wgl-logotype-container.logo-mobile {
    width: 100%;
    max-width: 100%;
  }

  .header_area_container {
    width: 100%;
    display: block;
    max-width: 100%;
  }

  .wgl-logotype-container.logo-mobile a {
    display: block;
    width: 100%;
    height: 100%;
  }

  /* .wgl-logotype-container.logo-mobile img.logo-mobile {
    width: 100% !important;
    height: 100% !important;
    object-fit: contain !important;
    padding: 20px 5px 10px;
    margin-top: -25px;
    background: #fff;
    border-radius: 0px 0px 30px 30px;
  } */

  .page .page-header {
    padding-top: 150px !important;
  }
}

@media (min-width:1300px) {
  .elementor-column.logo a {
    display: block;
    width: 100%;
    /* height: 265px; */
    /* margin-bottom: -180px; */
    /* border-radius: 0px 0px 30px 30px; */
    position: relative;
  }

  .elementor-column.logo {
    width: 400px !important;
  }

  section.customHeaderCls>div {
    justify-content: space-between !important;
  }

}

@media (min-width:1200px) {
  .elementor-column.logo {
    width: 370px !important;
  }

  /* .elementor-column.logo a::before {
    height: calc(100% - 80px);
  } */
}

@media (min-width: 768px) {


  /* .elementor-column.logo a::before {
    content: "";
    width: 100%;
    height: calc(100% - 75px);
    display: block;
    position: absolute;
    border-radius: 0px 0px 30px 30px;
    z-index: 0;
    border: 5px solid #749935;
    border-top: 0;
    bottom: -5px;
  } */

  .elementor-column.logo a {
    display: block;
    width: 100%;
    /* height: 250px; */
    /* margin-bottom: -170px; */
    /* border-radius: 0px 0px 30px 30px; */
    position: relative;
  }

  .elementor-column.logo a img {
    width: 100%;
    height: 100%;
    object-fit: contain;
    padding: 10px;
  }

  .customHeaderCls .elementor-widget-wgl-header-logo .elementor-widget-container {
    margin: 0 !important;
    padding: 10px;
    border-radius: 0 0 10px 10px;
    background: #fff;
  }
}

@media (max-width:1280px) and (min-width:1190px) {

  .elementor-column.right_cta_buttons>div {
    flex-wrap: nowrap !important;
  }

  .elementor-column.right_cta_buttons>div a.wgl-button.btn-size-sm {
    white-space: nowrap;
  }

  .elementor-column.logo a {
    display: block;
    width: 100%;
    /* height: 220px; */
    /* margin-bottom: -140px; */
    /* border-radius: 0px 0px 30px 30px; */
    position: relative;
  }

  .elementor-column.logo {
    width: 290px !important;
  }

  .elementor-column.navigation_menu_center {
    width: auto !important;
  }
}

/* ===== Modal Base ===== */
.modal.volunteerPopup {
  z-index: 2147483647 !important;
  /* max safe value for z-index */
  position: fixed;
  inset: 0;
  /* shorthand for top/right/bottom/left:0 */
}

.modal {
  display: none !important;
  position: fixed;
  z-index: 9999;
  left: 0;
  top: 0;
  width: 100%;
  height: 100%;
  background: rgba(0, 0, 0, 0.6);
  justify-content: center;
  align-items: center;
  opacity: 0;
  pointer-events: none;
  transition: opacity 0.3s ease;
}

/* Active State */
.modal.active {
  display: flex !important;
  opacity: 1;
  pointer-events: auto;
}

/* ===== Volunteer Modal Content ===== */

.modal-content {
  background: url("https://hosanna_wpteam.24livehost.com/wp-content/uploads/2020/08/bg.jpg") center center/cover no-repeat;
  border-radius: 16px;
  width: 90%;
  max-width: 700px;
  max-height: 90vh;
  display: flex;
  flex-direction: column;
  position: relative;
  animation: fadeInUp 0.3s ease;
  overflow: hidden;
  box-shadow: 0 10px 25px rgba(0, 0, 0, 0.3);
  color: #000;
  /* all text black for readability */
}

/* Scrollable area */
.modal-body {
  overflow-y: auto;
  padding: 30px;
  flex: 1;
  line-height: 10px;
}

/* Close Button */
.close {
  position: absolute;
  top: 12px;
  right: 18px;
  font-size: 28px;
  font-weight: bold;
  color: #000;
  cursor: pointer;
  transition: color 0.2s ease;
  z-index: 1;
}

.close:hover {
  color: #444;
}

/* Heading */
.modal-content h2 {
  margin: 20px 0;
  font-size: 24px;
  font-weight: 700;
  text-align: center;
  padding: 0 20px;
  color: #000;
}

/* Contact Form 7 Fields */
.wpcf7-form label {
  display: block;
  margin-bottom: 6px;
  font-size: 15px;
  font-weight: 500;
  color: #000;
}

.wpcf7-form input,
.wpcf7-form textarea,
.wpcf7-form select {
  width: 100%;
  padding: 12px 14px;
  border: 1px solid #ccc;
  border-radius: 8px;
  background: #fff;
  color: #333;
  font-size: 15px;
  margin-bottom: 20px;
  outline: none;
  transition: border-color 0.2s ease, box-shadow 0.2s ease;
}

.wpcf7-form input:focus,
.wpcf7-form textarea:focus,
.wpcf7-form select:focus {
  border-color: #556b2f;
  box-shadow: 0 0 0 2px rgba(85, 107, 47, 0.2);
}

input[type="checkbox"] {
  display: flex;
  align-items: center;
  margin-bottom: 8px;
}


/* Submit Button */
.wpcf7-form .wpcf7-submit {
  width: 100%;
  background: #556b2f;
  color: #fff;
  font-weight: 600;
  padding: 14px;
  border: none;
  border-radius: 10px;
  font-size: 16px;
  cursor: pointer;
  transition: all 0.3s ease;
  text-transform: uppercase;
}

.wpcf7-form .wpcf7-submit:hover {
  background: #334422;
}

/* Mobile responsive */
@media (max-width: 490px) {
  #give_purchase_form_wrap #give-final-total-wrap .give-donation-total-label {
    padding: 0;
  }

  .give-form-wrap .give-btn.give-submit {
    min-width: 140px !important;
    padding: 18px 15px !important;
  }

  .give-form-wrap #give_purchase_form_wrap #give-final-total-wrap {
    padding-top: 0 !important;
    padding-bottom: 0 !important;
    font-size: 16px !important;
  }

  form[id*="give-form"] #give-final-total-wrap .give-donation-total-label {
    height: auto;
    line-height: 18px;
  }

  .elementor-widget-wrap>.elementor-element {
    width: 100% !important;
    font-size: 18px;
  }

  .mvvSectionTabs .wgl-tabs_header span {
    font-size: 15px !important;
  }
}

@media (max-width: 767px) {
  .modal-content {
    width: 95%;
    max-height: 95vh;
  }

  .modal-body {
    padding: 20px;
  }

  .modal-content h2 {
    font-size: 20px;
  }
}

/* ===== Volunteer Modal Content ===== */
.header_search.header_search-open.search_standard .header_search-field,
.header_search.header_search-open.search_alt .header_search-field {
  border: 2px solid #c9c9c9;
  margin-top: 12px;
  backdrop-filter: blur(2px);
}

.page-id-837 .elementor-widget-wgl-service-1 .elementor-widget-container:before {
  background-color: #0000007d !important;
  opacity: 0.7 !important;
}

.page-id-837 main#main {
  padding-bottom: 0px;
}

@media only screen and (max-width: 1199px) {

  header .headerSearchBtn,
  .header_search.search_standard {
    display: none !important;
  }

  header .headerSocialicon {
    display: none !important;
  }

  .wgl-header-row .wgl-header-row_wrapper {
    height: 105px !important;
    padding: 10px 0px;
  }
  .white_logo img, .black_logo img {
      max-width: 130px;
  }
  .scrollDown .white_logo img, .scrollDown .black_logo img {
    max-width: 110px;
}
  .wgl-menu_outer .wgl-menu-outer_content {
    padding: 30px 0 0 0px !important;
    overflow-x: hidden;
  }

  .mobile_nav_wrapper .primary-nav ul.mobile_switch_on li a {
    padding: 10px 20px 10px 20px !important;
  }

  .mobile_nav_wrapper .primary-nav ul.mobile_switch_on li {
    border-bottom: 1px solid #749935;
  }

  div#wgl-perfect-container::after {
    content: "";
    width: 1px;
    height: calc(100% - 75px);
    position: absolute;
    bottom: 0px;
    right: 0px;
    background: #749935;
  }

  .mobilemenu-button-wrapper a {
    display: block;
  }

  .mobilemenu-button-wrapper {
    padding: 0px 20px;
  }

  .mobilemenu-button-wrapper a.wgl-button.btn-size-sm {
    display: flex;
    align-items: center;
    justify-content: center;
    height: 50px;
  }
  header.wgl-theme-header .primary-nav>ul>li>a{color:#749935 !important}
}






/* ===================== custom css design changes start  =====================*/



#scroll_up.active:empty {
  color: #749935;
  background-color: #749935;
}


.slick-dots li button {
  background-color: #749935 !important;
}

/* ===================== custom css design changes end  =====================*/
header.wgl-theme-header {
    transition: all 0.4s ease-in-out !important;
    border-bottom: 2px solid transparent;
}
header.wgl-theme-header.scrollDown {
    background: rgba(255,255,255,0.9);
    transition: all 0.4s ease-in-out !important;
    backdrop-filter: blur(5px);
    border-color: #74993529;
}

header.wgl-theme-header .primary-nav>ul>li>a {
    color: #fff !important;
}
header.wgl-theme-header.scrollDown .primary-nav>ul>li>a {
      color:#749935 !important;
}
header.wgl-theme-header .header_search-button.flaticon-loupe , header.wgl-theme-header .header_search-close{
    color: #fff;
}

header.wgl-theme-header.scrollDown i.icon.elementor-icon{color:#fff;}
header.wgl-theme-header.scrollDown .header_search-button.flaticon-loupe,  header.wgl-theme-header.scrollDown .header_search-close {color: #749935;}
header.wgl-theme-header a.wgl-button.btn-size-sm:hover {border-color:black;}
body.home::before {
    content: "";
    width: 100%;
    height: 200px;
    position: absolute;
    background: linear-gradient(-180deg, rgba(0,0,0,0.5), transparent);
    top: 0;
    left: 0;
    z-index: 1;
}
body.home {
    position: relative;
}
header.wgl-theme-header section.topHeadSection {
    z-index: 2;
}
.black_logo {transition:all 0.4s ease-in-out !important;position: absolute;left: 15px;top: 0px;opacity: 0;}
.white_logo {transition:all 0.4s ease-in-out !important;position: absolute;left: 15px;top: 0px;opacity: 1;}
.black_logo img, .white_logo img, header.wgl-theme-header.scrollDown .black_logo img, .white_logo img{
transition:all 0.4s ease-in-out !important;
}

header.wgl-theme-header.scrollDown .white_logo {transition:all 0.4s ease-in-out !important;opacity: 0;}
header.wgl-theme-header.scrollDown .black_logo {transition:all 0.4s ease-in-out !important;opacity: 1;}
header.wgl-theme-header{transition:all 0.4s ease-in-out !important;}

header.wgl-theme-header.scrollDown .black_logo img {
    max-width: 130px;
}

header.wgl-theme-header .elementor-column.logo>.elementor-widget-wrap {
    position: relative;
}

header.wgl-theme-header .elementor-column.logo {
    height: 120px;
    transition:all 0.4s ease-in-out !important;
}
header.wgl-theme-header.scrollDown .elementor-column.logo {
    height: 90px;
    transition:all 0.4s ease-in-out !important;
}
.TopDateTimeInfo p {
    margin: 0px !important;
}
.topHeadSection * {
    font-size: 14px !important;
}
.topHeadSection span.day {
    font-size: 35px !important;
}
.wgl-social-icons .elementor-icon.elementor-social-icon {
    padding: 0px !important;
    height: 30px;
    width: 30px;
}
header.wgl-theme-header.scrollDown .topHeadSection * {color:#749935 !important}


header.wgl-theme-header.scrollDown .topHeadSection svg path {fill: #749935;}

header.wgl-theme-header .topHeadSection .elementor-social-icon:hover {
    background: #749935 !important;
}

header.wgl-theme-header.scrollDown .topHeadSection .elementor-social-icon:hover svg path {
    fill: #fff !important;
}
header.wgl-theme-header .topHeadSection .elementor-social-icon svg {
      width:1rem;
      height:1rem;
}

.hero-banner-slider .swiper-slide::before {
    content: "";
    width: 100%;
    height: 100%;
    background: rgba(0,0,0,0.3);
    position: absolute;
    left: 0;
    top: 0;
    z-index: 1;
}
a.link:hover {
    color: #749935 !important;
}
header .topHeadSection li.elementor-icon-list-item a:hover span, header .topHeadSection li.elementor-icon-list-item a:hover span i::before {
    color: #749935 !important;
}
.page-header_breadcrumbs {
    display: none !important;
}
.elementor-widget-wgl-give-forms .wgl-donation__grid.carousel .wgl-donation__card {
    opacity: 0.5;
}

.elementor-widget-wgl-give-forms .wgl-donation__grid.carousel .wgl-donation__card.slick-active {
    opacity: 1;
}
@media (max-width:1539px){
  body.theme-bighearts .wgl_module_team .team-title a {
    font-size: 18px;
}
body.theme-bighearts .wgl_module_team .team-title {
    margin-bottom: 10px;
    margin-top: -10px;
}
body.theme-bighearts .wgl_module_team .team-department {
    transition: inherit;
    font-weight: 700;
    font-size: 11px;
}
}
@media (min-width:1200px){
body.theme-bighearts header.wgl-theme-header a.wgl-button.btn-size-sm {
    border-color: #fff;
    color:#749935;
}
body.theme-bighearts header.wgl-theme-header.scrollDown a.wgl-button.btn-size-sm {
    border-color: #749935;
    color:#fff;
    background-color:#749935;
}
body.theme-bighearts .page-header {
    padding-top: 240px !important;
    padding-bottom: 120px !important;
}
}
@media (max-width:1199px) {
  .white_logo, .black_logo{
    height :100%;
    top: 10px;;
  }
  .load_more_item, .wgl-button:hover, .wgl-theme-header .wgl-button, .wgl-theme-header a.wgl-button, .wgl-demo-item .wgl-button:hover, .wgl-demo-item .wgl-button{border-color:#749935 !important}
  .primary-nav ul li.mega-menu.mega-cat div.mega-menu-container ul.mega-menu.cats-horizontal>li.is-active>a, .mobile_nav_wrapper .primary-nav>ul>li>a>span:after, .wgl-menu_outer .mobile-hamburger-close{background-color: #749935 !important;}
 header.wgl-theme-header .wgl-mobile-header {
    background-color: transparent !important;
}

header.wgl-theme-header {
    background: transparent !important;
}

body.home {
    padding-top: 0px;
}

body.home::before {
    top: 0;
}

header.wgl-theme-header .hamburger-box .hamburger-inner span {
    background: #fff;
}

body.home::before {
    background: linear-gradient(-180deg, rgba(0,0,0,0.5), transparent);
    height: 130px;
}

header.wgl-theme-header.scrollDown .hamburger-box .hamburger-inner span {
    background: #749935;
}

header.wgl-theme-header.scrollDown {
    background: rgba(255,255,255,0.9) !important;
}
header.wgl-theme-header .primary-nav>ul>li>a{color: #749935 !important;}

}
@media (max-width: 767px) {
  .white_logo, .black_logo {
      height: 80%;
      top: 10px;
  }
  .wgl-header-row .wgl-header-row_wrapper {
    height: 90px !important;
    padding: 0px 0px;
  }
}